Summary: user space backend for logging machine check errors
Name: mcelog
Version: git
Release: r1.0
License: GPLv2
Group: base
Packager: Wind River <info@windriver.com>
URL: http://www.mcelog.org/
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: /bin/sh
Provides: elf(buildid) = 5163083a0be6a53ac3374a8ad25f396cb9c0260c

%description
mcelog is the user space backend for logging machine check errors reported
by the hardware to the kernel. The kernel does the immediate actions (like
killing processes etc.) and mcelog decodes the errors and manages various
other advanced error responses like offlining memory, CPUs or triggering
events.

%package -n mcelog-dbg
Summary: user space backend for logging machine check errors - Debugging files
Group: devel
Suggests: libc6-dbg
Recommends: mcelog = git-r1.0

%description -n mcelog-dbg
mcelog is the user space backend for logging machine check errors reported
by the hardware to the kernel. The kernel does the immediate actions (like
killing processes etc.) and mcelog decodes the errors and manages various
other advanced error responses like offlining memory, CPUs or triggering
events.  This package contains ELF symbols and related sources for
debugging purposes.

%package -n mcelog-staticdev
Summary: user space backend for logging machine check errors - Development files (Static Libraries)
Group: devel
Requires: mcelog-dev = git-r1.0

%description -n mcelog-staticdev
mcelog is the user space backend for logging machine check errors reported
by the hardware to the kernel. The kernel does the immediate actions (like
killing processes etc.) and mcelog decodes the errors and manages various
other advanced error responses like offlining memory, CPUs or triggering
events.  This package contains static libraries for software development.

%package -n mcelog-dev
Summary: user space backend for logging machine check errors - Development files
Group: devel
Requires: mcelog = git-r1.0
Suggests: libc6-dev

%description -n mcelog-dev
mcelog is the user space backend for logging machine check errors reported
by the hardware to the kernel. The kernel does the immediate actions (like
killing processes etc.) and mcelog decodes the errors and manages various
other advanced error responses like offlining memory, CPUs or triggering
events.  This package contains symbolic links, header files, and related
items necessary for software development.

%package -n mcelog-doc
Summary: user space backend for logging machine check errors - Documentation files
Group: doc

%description -n mcelog-doc
mcelog is the user space backend for logging machine check errors reported
by the hardware to the kernel. The kernel does the immediate actions (like
killing processes etc.) and mcelog decodes the errors and manages various
other advanced error responses like offlining memory, CPUs or triggering
events.  This package contains documentation.

%package -n mcelog-locale
Summary: user space backend for logging machine check errors
Group: base

%description -n mcelog-locale
mcelog is the user space backend for logging machine check errors reported
by the hardware to the kernel. The kernel does the immediate actions (like
killing processes etc.) and mcelog decodes the errors and manages various
other advanced error responses like offlining memory, CPUs or triggering
events.

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/etc"
%dir "/usr/sbin"
"/usr/sbin/mcelog"
%dir "/etc/mcelog"
%dir "/etc/logrotate.d"
%dir "/etc/init.d"
%dir "/etc/monit.d"
"/etc/mcelog/mcelog.conf"
"/etc/mcelog/socket-memory-error-trigger"
"/etc/mcelog/dimm-error-trigger"
"/etc/mcelog/cache-error-trigger"
"/etc/mcelog/page-error-trigger"
"/etc/logrotate.d/mcelog"
"/etc/init.d/mcelog"
"/etc/monit.d/mcelog.conf"

%files -n mcelog-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/sbin"
%dir "/usr/src"
%dir "/usr/sbin/.debug"
"/usr/sbin/.debug/mcelog"
%dir "/usr/src/debug"
%dir "/usr/src/debug/mcelog"
%dir "/usr/src/debug/mcelog/git-r1"
%dir "/usr/src/debug/mcelog/git-r1/git"
"/usr/src/debug/mcelog/git-r1/git/memutil.c"
"/usr/src/debug/mcelog/git-r1/git/k8.c"
"/usr/src/debug/mcelog/git-r1/git/msr.c"
"/usr/src/debug/mcelog/git-r1/git/sandy-bridge.h"
"/usr/src/debug/mcelog/git-r1/git/p4.c"
"/usr/src/debug/mcelog/git-r1/git/leaky-bucket.h"
"/usr/src/debug/mcelog/git-r1/git/bitfield.c"
"/usr/src/debug/mcelog/git-r1/git/sysfs.c"
"/usr/src/debug/mcelog/git-r1/git/trigger.h"
"/usr/src/debug/mcelog/git-r1/git/k8.h"
"/usr/src/debug/mcelog/git-r1/git/xeon75xx.h"
"/usr/src/debug/mcelog/git-r1/git/cache.c"
"/usr/src/debug/mcelog/git-r1/git/sysfs.h"
"/usr/src/debug/mcelog/git-r1/git/tsc.h"
"/usr/src/debug/mcelog/git-r1/git/config.h"
"/usr/src/debug/mcelog/git-r1/git/cache.h"
"/usr/src/debug/mcelog/git-r1/git/page.h"
"/usr/src/debug/mcelog/git-r1/git/bitfield.h"
"/usr/src/debug/mcelog/git-r1/git/yellow.c"
"/usr/src/debug/mcelog/git-r1/git/client.h"
"/usr/src/debug/mcelog/git-r1/git/xeon75xx.c"
"/usr/src/debug/mcelog/git-r1/git/nehalem.h"
"/usr/src/debug/mcelog/git-r1/git/list.h"
"/usr/src/debug/mcelog/git-r1/git/memdb.c"
"/usr/src/debug/mcelog/git-r1/git/p4.h"
"/usr/src/debug/mcelog/git-r1/git/dunnington.c"
"/usr/src/debug/mcelog/git-r1/git/server.h"
"/usr/src/debug/mcelog/git-r1/git/msg.c"
"/usr/src/debug/mcelog/git-r1/git/client.c"
"/usr/src/debug/mcelog/git-r1/git/memdb.h"
"/usr/src/debug/mcelog/git-r1/git/tulsa.c"
"/usr/src/debug/mcelog/git-r1/git/eventloop.h"
"/usr/src/debug/mcelog/git-r1/git/dmi.c"
"/usr/src/debug/mcelog/git-r1/git/leaky-bucket.c"
"/usr/src/debug/mcelog/git-r1/git/mcelog.c"
"/usr/src/debug/mcelog/git-r1/git/yellow.h"
"/usr/src/debug/mcelog/git-r1/git/config.c"
"/usr/src/debug/mcelog/git-r1/git/page.c"
"/usr/src/debug/mcelog/git-r1/git/ivy-bridge.c"
"/usr/src/debug/mcelog/git-r1/git/server.c"
"/usr/src/debug/mcelog/git-r1/git/sandy-bridge.c"
"/usr/src/debug/mcelog/git-r1/git/rbtree.h"
"/usr/src/debug/mcelog/git-r1/git/nehalem.c"
"/usr/src/debug/mcelog/git-r1/git/dunnington.h"
"/usr/src/debug/mcelog/git-r1/git/eventloop.c"
"/usr/src/debug/mcelog/git-r1/git/msg.h"
"/usr/src/debug/mcelog/git-r1/git/memutil.h"
"/usr/src/debug/mcelog/git-r1/git/intel.c"
"/usr/src/debug/mcelog/git-r1/git/intel.h"
"/usr/src/debug/mcelog/git-r1/git/tsc.c"
"/usr/src/debug/mcelog/git-r1/git/mcelog.h"
"/usr/src/debug/mcelog/git-r1/git/core2.h"
"/usr/src/debug/mcelog/git-r1/git/rbtree.c"
"/usr/src/debug/mcelog/git-r1/git/dmi.h"
"/usr/src/debug/mcelog/git-r1/git/core2.c"
"/usr/src/debug/mcelog/git-r1/git/trigger.c"
"/usr/src/debug/mcelog/git-r1/git/diskdb.h"
"/usr/src/debug/mcelog/git-r1/git/tulsa.h"
"/usr/src/debug/mcelog/git-r1/git/ivy-bridge.h"

%files -n mcelog-dev
%defattr(-,-,-,-)

%files -n mcelog-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man8"
"/usr/share/man/man8/mcelog.8"

